"use client";
import { useMemo } from 'react';

var useResponsiveLayout = ({
  directionConfig = { desktop: "mediaRight", mobile: "mediaTop" }
}) => {
  const responsiveClassName = useMemo(() => {
    const desktopOrder = directionConfig.desktop === "mediaRight" ? "lg:flex-row" : "lg:flex-row-reverse";
    const mobileOrder = directionConfig.mobile === "mediaTop" ? "flex-col-reverse" : "flex-col";
    return `${mobileOrder} ${desktopOrder}`;
  }, [directionConfig.desktop, directionConfig.mobile]);
  return { responsiveClassName };
};

export { useResponsiveLayout };
